package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 推广者获得奖品名细子单 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-21
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvPromoterTradeOrderLineAwardDao;
import com.heyu.api.data.entity.vv.VvPromoterTradeOrderLineAwardEntity;
import com.heyu.api.data.service.vv.VvPromoterTradeOrderLineAwardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvPromoterTradeOrderLineAwardServiceImpl extends ServiceImpl<VvPromoterTradeOrderLineAwardDao, VvPromoterTradeOrderLineAwardEntity> implements VvPromoterTradeOrderLineAwardService {


    @Autowired
	private VvPromoterTradeOrderLineAwardDao vvPromoterTradeOrderLineAwardDao;



	@Override
	public VvPromoterTradeOrderLineAwardEntity selectVvPromoterTradeOrderLineAwardById(Long id){
		return vvPromoterTradeOrderLineAwardDao.selectVvPromoterTradeOrderLineAwardById(id);
	}



	@Override
	public Long insertVvPromoterTradeOrderLineAward(VvPromoterTradeOrderLineAwardEntity vvPromoterTradeOrderLineAward){
		return vvPromoterTradeOrderLineAwardDao.insertVvPromoterTradeOrderLineAward(vvPromoterTradeOrderLineAward);
	}



	@Override
	public Long insertOrUpdateVvPromoterTradeOrderLineAward(VvPromoterTradeOrderLineAwardEntity vvPromoterTradeOrderLineAward){
		return vvPromoterTradeOrderLineAwardDao.insertOrUpdateVvPromoterTradeOrderLineAward(vvPromoterTradeOrderLineAward);
	}



	@Override
	public int updateVvPromoterTradeOrderLineAwardById(VvPromoterTradeOrderLineAwardEntity vvPromoterTradeOrderLineAward){
		return vvPromoterTradeOrderLineAwardDao.updateVvPromoterTradeOrderLineAwardById(vvPromoterTradeOrderLineAward);
	}



	@Override
	public int updateCoverVvPromoterTradeOrderLineAwardById(VvPromoterTradeOrderLineAwardEntity vvPromoterTradeOrderLineAward){
		return vvPromoterTradeOrderLineAwardDao.updateCoverVvPromoterTradeOrderLineAwardById(vvPromoterTradeOrderLineAward);
	}



	@Override
	public int deleteVvPromoterTradeOrderLineAwardById(Long id){
		return vvPromoterTradeOrderLineAwardDao.deleteVvPromoterTradeOrderLineAwardById(id);
	}



}
